### Class

# GUPnP ServiceIntrospection

#### Description [src]

    final class GUPnP.ServiceIntrospection : GObject.Object
      implements Gio.Initable {
      /* No available fields */
    }

Introspection of local and remote services..

The `GUPnPServiceIntrospection` class provides methods for service introspection based on information contained in its service description document (SCPD). There is no constructor provided for this class, please use `gupnp_service_info_introspect_async()` to create a `GUPnPServiceIntrospection` object for a specific service.

Note that all the introspection information is retrieved from the service description document (SCPD) provided by the service and hence can not be guaranteed to be complete. An UPnP service is required to provide a SCPD but unfortunately, many services either do not provide this document or the document does not provide any or all of the introspection information.

This class exposes internals of the UPnP protocol and should not need to be used for regular device or control point development.

#### Ancestors

- GObject

#### Implements

- GInitable

#### Instance methods

###### gupnp_service_introspection_get_action

Returns the action by the name `action_name` in this service.

###### gupnp_service_introspection_get_state_variable

Returns the state variable by the name `variable_name` in this service.

###### gupnp_service_introspection_list_action_names

Returns a GList of names of all the actions in this service.

###### gupnp_service_introspection_list_actions

Returns a `GList` of all the actions (of type `GUPnPServiceActionInfo`) in this service.

###### gupnp_service_introspection_list_state_variable_names

Returns a `GList` of names of all the state variables in this service.

###### gupnp_service_introspection_list_state_variables

Returns a GList of all the state variables (of type `GUPnPServiceStateVariableInfo`) in this service.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from GInitable (1)

###### g_initable_init

Initializes the object implementing the interface.

#### Properties

###### GUPnP.ServiceIntrospection:scpd

The scpd of the device description file.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GUPnPServiceIntrospectionClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.